Package org.lwjgl.opencl

# Class AMDBusAddressableMemory

java.lang.Object
org.lwjgl.opencl.AMDBusAddressableMemory

public final class AMDBusAddressableMemory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_COMMAND_MAKE_BUFFERS_RESIDENT_AMD`
cl_mem flag - bitfield
`static final int`
`CL_COMMAND_WAIT_SIGNAL_AMD`
cl_mem flag - bitfield
`static final int`
`CL_COMMAND_WRITE_SIGNAL_AMD`
cl_mem flag - bitfield
`static final int`
`CL_MEM_BUS_ADDRESSABLE_AMD`
cl_mem flag - bitfield
`static final int`
`CL_MEM_EXTERNAL_PHYSICAL_AMD`
cl_mem flag - bitfield

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_MEM_BUS_ADDRESSABLE_AMD

public static final int CL_MEM_BUS_ADDRESSABLE_AMD
cl_mem flag - bitfield

See Also:
  - Constant Field Values

### CL_MEM_EXTERNAL_PHYSICAL_AMD

public static final int CL_MEM_EXTERNAL_PHYSICAL_AMD
cl_mem flag - bitfield

See Also:
  - Constant Field Values

### CL_COMMAND_WAIT_SIGNAL_AMD

public static final int CL_COMMAND_WAIT_SIGNAL_AMD
cl_mem flag - bitfield

See Also:
  - Constant Field Values

### CL_COMMAND_WRITE_SIGNAL_AMD

public static final int CL_COMMAND_WRITE_SIGNAL_AMD
cl_mem flag - bitfield

See Also:
  - Constant Field Values

### CL_COMMAND_MAKE_BUFFERS_RESIDENT_AMD

public static final int CL_COMMAND_MAKE_BUFFERS_RESIDENT_AMD
cl_mem flag - bitfield

See Also:
  - Constant Field Values